%define name 	jackbeat
%define version 0.7.5
%define release %mkrel 1

Summary: 	Drum machine styled audio sequencer
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://jackbeat.samalyse.org/
License: 	GPLv2+
Group: 		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	http://jackbeat.samalyse.org/downloads/%{name}-%{version}.tar.gz
Patch0:		jackbeat-0.7.3-mdv-fix-str-fmt.patch

BuildRequires:	imagemagick 
BuildRequires:  jackit-devel 
BuildRequires:  gtk+2-devel 
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:	portaudio-devel
BuildRequires:	liblo-devel

%description
Jackbeat is an audio sequencer with the following features :
    * drummachine-like interface for fast and easy edition
    * realtime operation : while playing, the pattern can be edited and
      resized, the bpm rate modified, and new samples loaded,
    * virtually unlimited number of tracks and beats
    * easy to use and yet powerful : just JACK it into jack-rack and you can
      apply LADSPA effect plugins on a per track basis, perform mastering
      with jackeq , etc...
    * loads and saves .jab files, Jackbeat's binary file format.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

#menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=JackBeat
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Sequencer;
EOF


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%update_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README 
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/%{name}



%changelog
* Tue Apr 27 2010 Frank Kober <emuse@mandriva.org> 0.7.5-1mdv2010.1
+ Revision: 539894
- new version (gtk bugfix) 0.9.5

* Sun Dec 06 2009 Jérôme Brenier <incubusss@mandriva.org> 0.7.4-1mdv2010.1
+ Revision: 474151
- new version 0.7.4 (bugfix)

* Fri Nov 27 2009 Jérôme Brenier <incubusss@mandriva.org> 0.7.3-1mdv2010.1
+ Revision: 470639
- new version 0.7.3
- use %%configure
- add Buildrequires : portaudio-devel and liblo-devel
- fix str fmt (Patch0 added)
- fix license tag
- fix %%files section
- $RPM_BUILD_ROOT -> %%{buildroot}

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 429580
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Jun 20 2008 Austin Acton <austin@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 227335
- new version
- fix URL

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.1-2mdv2008.0
+ Revision: 82448
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.6.1-1mdv2007.1
+ Revision: 144167
- new release
- Import jackbeat

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.4-5mdv2007.0
- xdg menu

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.4-4mdk
- Fix BuildRequires

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.4-3mdk
- Fix BuildRequires

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.4-2mdk
- Fix BuildRequires
- %%mkrel

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 0.5.4-1mdk
- New release 0.5.4

* Fri Oct 07 2005 Austin Acton <austin@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Tue Jun 28 2005 Austin Acton <austin@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Mon Apr 18 2005 Austin Acton <austin@mandrake.org> 0.4.3-1mdk
- New release 0.4.3

* Fri Apr 01 2005 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- New release 0.4.2
- fix source URL

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- New release 0.4.1

* Fri Mar 04 2005 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0
- source URL

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 0.3.3-1mdk
- 0.3.3

* Sat Jul 10 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

